From c01d0a0f8470416ff617b5097773345b53e6caa6 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:10 +0000
Subject: [PATCH 386/2232] Rename CxxVector::size to len to match Rust conventions


---

diff --git a/src/cxx_vector.rs b/src/cxx_vector.rs
index 7b985d8..bf9f5fa 100644
--- a/src/cxx_vector.rs
+++ b/src/cxx_vector.rs
@@ -15,7 +15,7 @@ pub struct CxxVector<T> {
 
 impl<T: VectorElement<T>> CxxVector<T> {
     /// Returns the length of the vector in bytes.
-    pub fn size(&self) -> usize {
+    pub fn len(&self) -> usize {
         T::__vector_length(self)
     }
 
@@ -25,11 +25,11 @@ impl<T: VectorElement<T>> CxxVector<T> {
 
     /// Returns true if `self` has a length of zero bytes.
     pub fn is_empty(&self) -> bool {
-        self.size() == 0
+        self.len() == 0
     }
 
     pub fn get(&self, pos: usize) -> Option<&T> {
-        if pos < self.size() {
+        if pos < self.len() {
             Some(unsafe { T::__get_unchecked(self, pos) })
         } else {
             None
diff --git a/tests/test.rs b/tests/test.rs
index f394c7a..1d903f0 100644
--- a/tests/test.rs
+++ b/tests/test.rs
@@ -32,7 +32,7 @@ fn test_c_return() {
     assert_eq!(b"2020\0", ffi::c_return_sliceu8(&shared));
     assert_eq!("2020", ffi::c_return_rust_string());
     assert_eq!("2020", ffi::c_return_unique_ptr_string().to_str().unwrap());
-    assert_eq!(4, ffi::c_return_unique_ptr_vector_u8().size());
+    assert_eq!(4, ffi::c_return_unique_ptr_vector_u8().len());
     assert_eq!(
         200_u8,
         ffi::c_return_unique_ptr_vector_u8().into_iter().sum(),
@@ -41,7 +41,7 @@ fn test_c_return() {
         200.5_f64,
         ffi::c_return_unique_ptr_vector_f64().into_iter().sum(),
     );
-    assert_eq!(2, ffi::c_return_unique_ptr_vector_shared().size());
+    assert_eq!(2, ffi::c_return_unique_ptr_vector_shared().len());
     assert_eq!(
         2021_usize,
         ffi::c_return_unique_ptr_vector_shared()

